body{
    
    margin-top: 0px;
    margin-left: 0px;
    margin-bottom: 0px;
    margin-right: 0px;
    padding: 0px;
    background-color: black;
}

#background{
    width: 100vw;
    height: 85vh;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}

#snakeGrid{
    border: 10px solid white;
    width: 95%;
    aspect-ratio: 20;
}

.box{
    background-color: gray;
    border: 1px solid black;
}

#TitleScreen{
    height: 100vh;
    width: 100vw;
    background-color: rgb(219, 219, 219, 0.8);
    position: absolute;
    top: 0px;
    left: 0px;
    display: flex;
    flex-direction: column;
    align-items: center;
}

#title{
    font-size: 100px;
    font-family: "Nanum Gothic Coding", monospace;
    font-weight: 400;
    font-style: normal;
    background-color: white;
    border-radius: 30px;
    padding: 20px;
    margin-bottom: 20px;
    margin-top: 100px;
}

#usernameInput{
    font-size: 20px;
    font-family: "Nanum Gothic Coding", monospace;
    font-weight: 400;
    padding: 10px;
    border-radius: 10px;
    margin-top: 0px;
    text-align: center;
}

#previewSnake{
    display: flex;
    justify-content: center;
    align-items: center;
    margin-left: 10px;
    margin-right: 10px;
}

#snakeName{
    margin-top: 20px;
    margin-bottom: 10px;
    font-size: 20px;
    font-family: "Nanum Gothic Coding", monospace;
    font-weight: 400;
    background-color: white;
    border-radius: 9px;
    padding: 5px;
}

.arrow{
    width: 23px;
    padding: 5px;
    border-radius: 5px;
    border: 2px solid rgb(0, 0, 0, 0);
}

.arrow:hover{
    cursor: pointer;
    background-color: rgb(94, 88, 131, 0.5);
}
.arrow:active{
    border: 2px solid black;
}

#wrapper{
    display: flex;
    justify-content: center;
}

#JoinButton{
    background-color: rgb(64, 67, 66);
    font-size: 20px;
    font-family: "Nanum Gothic Coding", monospace;
    font-weight: 400;
    color: white;
    border-radius: 20px;
    padding: 14px;
    margin-top: 20px;
    width: 100px;
    text-align: center;
}

#JoinButton:hover{
    cursor: pointer;
    background-color: rgb(51, 50, 50);
}

#JoinButton:active{
    background-color: black;
    user-select: none; 
}

#queueWait{
    font-size: 10px;
    font-family: "Nanum Gothic Coding", monospace;
    font-weight: 400;
    color: white;
    border-radius: 20px;
    padding: 15px;
    background-color: rgb(95, 95, 95);
    margin-top: 5px;
    display: none;
    text-align: center;
}

.playerListName{
    font-size: 10px;
    font-family: "Nanum Gothic Coding", monospace;
    font-weight: 400;
    color: white;
}

.snakeName{
    font-size: 10px;
    font-family: "Nanum Gothic Coding", monospace;
    font-weight: 400;
    color: white;
    position: absolute;
    z-index: 100;
}

#gameOverScreen{
    width: 100vw;
    height: 100vh;
    background-color: rgba(255, 165, 165, 0.404);
    position: absolute;
    top: 0px;
    left: 0px;
    display: flex;
    justify-content: center;
    align-items: center;
    display: none;
}

#stats{
    background-color: #f8f8f8;
    border: 2px solid #333;
    width: 60%;
    height: 30%;
    border-radius: 20px;
    display: flex;
    flex-direction: column;
    align-items: center;
    position: relative;
}

#youRanInto{
    margin-top: 30px;
    padding: 5px;
    font-size: 50px;
    font-family: "Nanum Gothic Coding", monospace;
    font-weight: 400;
    
    border-radius: 10px;
    text-align: center;
}

#ranIntoSnakeName{
    margin-top: 5px;
    padding: 5px;
    font-size: 50px;
    font-family: "Nanum Gothic Coding", monospace;
    font-weight: 400;
    text-align: center;
}

#menu {
    margin-top: 5px;
    padding: 10px 20px;
    font-size: 30px;
    font-family: "Nanum Gothic Coding", monospace;
    font-weight: 400;
    text-align: center;
    background-color: black;
    color: white;
    border-radius: 20px;
    box-shadow: 2px 2px 4px rgba(0, 0, 0, 0.3);
    transition: transform 0.2s, box-shadow 0.2s;
    cursor: pointer;
    position: absolute;
    bottom: 20px;

}

#menu:hover {
    transform: translateY(-2px);
    box-shadow: 4px 4px 8px rgba(0, 0, 0, 0.3);
    scale: 105%;
    transition: 0.2s;
}
